
package com.lideeyunji.module.biz.enhance;



import com.lideeyunji.core.framework.config.aspect.enhance.model.EnhanceContext;
import com.lideeyunji.core.framework.config.aspect.enhance.model.EnhanceParam;
import com.lideeyunji.core.framework.config.aspect.enhance.plugin.AroundAdvicePlugin;
import com.lideeyunji.core.framework.utils.Func;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author JX
 * @create 2024-08-19 15:05
 * @dedescription:
 */
@Component
public class ExcelDemoEnhance implements AroundAdvicePlugin {
    @Override
    public void beforeExecute(EnhanceContext enhanceContext) {
        EnhanceParam param = enhanceContext.getParam();
        Map<String, Object> params = param.getParams();
        String batchCode = Func.getMap2Str(params, "batchCode");
        System.out.println("batchCode=========="+batchCode);
    }

    @Override
    public void afterExecute(EnhanceContext enhanceContext) {

    }

}
